# Uses of Interface
org.gitana.platform.client.log.LogEntry

Packages that use LogEntry
Package
Description
org.gitana.platform.client.log
org.gitana.platform.client.platform
org.gitana.platform.client.stack
org.gitana.platform.client.support

## Uses of LogEntry in org.gitana.platform.client.log

Classes in org.gitana.platform.client.log that implement LogEntry
Modifier and Type
Class
Description
`class`
`LogEntryImpl`

## Uses of LogEntry in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return LogEntry
Modifier and Type
Method
Description
`LogEntry`
Platform.`readLogEntry(String logEntryId)`
`LogEntry`
PlatformImpl.`readLogEntry(String logEntryId)`
Methods in org.gitana.platform.client.platform that return types with arguments of type LogEntry
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<LogEntry>`
Platform.`listLogEntries()`
`org.gitana.platform.support.ResultMap<LogEntry>`
Platform.`listLogEntries(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<LogEntry>`
PlatformImpl.`listLogEntries()`
`org.gitana.platform.support.ResultMap<LogEntry>`
PlatformImpl.`listLogEntries(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<LogEntry>`
Platform.`queryLogEntries(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<LogEntry>`
Platform.`queryLogEntries(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<LogEntry>`
PlatformImpl.`queryLogEntries(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<LogEntry>`
PlatformImpl.`queryLogEntries(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`

## Uses of LogEntry in org.gitana.platform.client.stack

Methods in org.gitana.platform.client.stack that return LogEntry
Modifier and Type
Method
Description
`LogEntry`
Stack.`readLogEntry(String logEntryId)`
`LogEntry`
StackImpl.`readLogEntry(String logEntryId)`
Methods in org.gitana.platform.client.stack that return types with arguments of type LogEntry
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<LogEntry>`
Stack.`listLogEntries()`
`org.gitana.platform.support.ResultMap<LogEntry>`
Stack.`listLogEntries(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<LogEntry>`
StackImpl.`listLogEntries()`
`org.gitana.platform.support.ResultMap<LogEntry>`
StackImpl.`listLogEntries(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<LogEntry>`
Stack.`queryLogEntries(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<LogEntry>`
Stack.`queryLogEntries(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<LogEntry>`
StackImpl.`queryLogEntries(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<LogEntry>`
StackImpl.`queryLogEntries(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`

## Uses of LogEntry in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return LogEntry
Modifier and Type
Method
Description
`LogEntry`
ObjectFactory.`logEntry(Cluster cluster, Response response)`
`LogEntry`
ObjectFactoryImpl.`logEntry(Cluster cluster, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type LogEntry
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<LogEntry>`
ObjectFactory.`logEntries(Cluster cluster, Response response)`
`org.gitana.platform.support.ResultMap<LogEntry>`
ObjectFactoryImpl.`logEntries(Cluster cluster, Response response)`